Uploaded image for project: 'Maven'
  1. Maven
  2. MNG-6092

warn if prerequisites.maven is used for non-plugin projects

    Details

    • Type: Wish
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.3.9
    • Fix Version/s: 3.5.0-alpha-1, 3.5.0
    • Component/s: core
    • Labels:
      None

      Description

      as seen in MNG'4840 and documented in MNG-5297, in Maven 3, prerequisites.maven has a meaning for plugin projects: defining this for non-plugins projects makes feel that it will be checked like it was done in Maven 2, but this is not the case.
      Adding a warning could help people avoid this habit taken with Maven 2

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                khmarbaise Karl Heinz Marbaise
                Reporter:
                hboutemy Hervé Boutemy
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: